Bug 1840973 - keepYoungerThan is replacing by keepYoungerThanDuration for imagepruners config [NEEDINFO]
Summary: keepYoungerThan is replacing by keepYoungerThanDuration for imagepruners config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Wenjing Zheng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 03:27 UTC by Wenjing Zheng
Modified: 2020-08-03 09:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-03 09:30:52 UTC
Target Upstream Version:
dahernan: needinfo? (vigoyal)


Attachments (Terms of Use)

Description Wenjing Zheng 2020-05-28 03:27:10 UTC
Document URL: 
https://docs.openshift.com/container-platform/4.4/applications/pruning-objects.html#pruning-images_pruning-objects

Section Number and Name: 

Describe the issue: 
Due to this bug https://bugzilla.redhat.com/show_bug.cgi?id=1835004, "keepYoungerThan" is deprecated, "keepYoungerThanDuration" is the new one. When they are both defined, keepYoungerThanDuration will take effect.

Suggestions for improvement: 

Additional information:

Comment 1 Wenjing Zheng 2020-05-28 10:15:45 UTC
It's better to completely remove keepYoungerThan from documentation,we can just mention that this field "keepYoungerThan" exists but shouldn't be used, it should be replaced by option "keepYoungerThanDuration".

Comment 2 Oleg Bulatov 2020-05-28 11:55:11 UTC
Note, in 4.4 we have only keepYoungerThan in integer nanoseconds (the documentation needs to be updated, it cannot be 60m, it should be 3600000000000).

In 4.5 we have both keepYoungerThan (nanoseconds) and keepYoungerThanDuration (string, for example: 60m or 1h). keepYoungerThanDuration, when it's set, takes precedence over keepYoungerThan. keepYoungerThan shouldn't be used by new clusters.

Comment 3 David Hernández Fernández 2020-07-14 10:00:14 UTC
The following bug is already released: https://bugzilla.redhat.com/show_bug.cgi?id=1835004

Please update the documentation, otherwise customers are creating new cases due to incorrect parameter in official docs.


Note You need to log in before you can comment on or make changes to this bug.